%{?!with_mwm:         %global with_mwm         0}
%global momorel 2

%define intern_name openMotif
Summary: Open Motif runtime libraries and executables.
Name: openmotif
Version: 2.2.3
Release: %{momorel}m
License: see "http://www.opengroup.org/openmotif/license"
Group: System Environment/Libraries
Source: ftp://ftp.motifzone.net/src/openMotif-%{version}.tar.gz
URL: http://www.motifzone.org/
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Patch11: openmotif-2.2.3-demo.patch
Patch12: openmotif-2.2.1-libtool.patch
Patch13: openmotif-2.2.3-libtool.patch
Patch15: openMotif-2.2.3-utf8.patch
Obsoletes: lesstif
Provides: lesstif
Prefix: /usr/X11R6
NoSource: 0

%description
This is the Open Motif %{version} runtime environment. It includes the
Motif shared libraries, needed to run applications which are dynamically
linked against Motif, and the Motif Window Manager "mwm".

%if %{with_mwm}
%package mwm
Summary: Open Motif window manager clone based on fvwm
Group: User Interface/Desktops
Obsoletes: lesstif-mwm
Provides: lesstif-mwm

%description mwm
MWM is a window manager that adheres largely to the Motif mwm specification.
%endif

%package clients
Summary: Open Motif clients
Group: User Interface/X
Obsoletes: lesstif-clients
Provides: lesstif-clients

%description clients
Uil and xmbind.

%package devel
Summary: Open Motif development libraries and header files.
Group: Development/Libraries
Obsoletes: lesstif-devel
Provides: lesstif-devel
Requires: %{name} = %{version}-%{release}

%description devel
This is the Open Motif %{version} development environment. It includes the
static libraries and header files necessary to build Motif applications.

%prep
%setup -q -n %{intern_name}-%{version}
%patch11 -p1 -b .demo~
%patch12 -p1 -b .libtool~
%patch13 -p1 -b .libtool2~
%patch15 -p1 -b .utf8~

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64" \
./configure --prefix=%{prefix} --enable-static

%make

%install
rm -rf %{buildroot}

make DESTDIR=%{buildroot} install

%if %{with_mwm}
mkdir -p %{buildroot}/etc/X11/xinit/session.d/
cat <<END > %{buildroot}/etc/X11/xinit/session.d/mwm
NAME=MWM
SESSION_EXEC=/usr/X11R6/bin/mwm
export SESSION_EXEC
END
%else
rm -f %{buildroot}%{prefix}/bin/mwm
rm -f %{buildroot}%{prefix}/lib/X11/system.mwmrc
rm -f %{buildroot}%{prefix}/man/man1/mwm.1*
%endif

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYRIGHT.MOTIF README RELEASE RELNOTES
%{prefix}/lib/lib*.so.*
%{prefix}/include/X11/bitmaps/*

%if %{with_mwm}
%files mwm
%defattr(-,root,root)
/etc/X11/xinit/session.d/mwm
%{prefix}/bin/mwm
%{prefix}/lib/X11/system.mwmrc
%{prefix}/man/man1/mwm.1*
%endif

%files clients
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/bin/xmbind
%{prefix}/lib/X11/bindings
%{prefix}/man/man1/uil.1*
%{prefix}/man/man1/xmbind.1*

%files devel
%defattr(-,root,root)
%{prefix}/bin/uil
%{prefix}/include/Mrm
%{prefix}/include/Xm
%{prefix}/include/uil
%{prefix}/lib/lib*.a
%{prefix}/lib/lib*.la
%{prefix}/lib/lib*.so
%{prefix}/man/man3/*
%{prefix}/man/man4/*
%{prefix}/man/man5/*

%changelog
* Tue May 11 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.3-2m)
- mwm doesn't work.

* Fri Apr 16 2004 Kazuhiko <kazuhiko@fdiary.net>
- (2.2.3-1m)
- major bugfixes
- remove 'openmotif-2.2.0-rhl.patch'
- remove 'openMotif-2.2.2-Xmu.patch'
- remove 'openMotif-2.2.2-x86_64.patch'
- remove 'openmotif-2.2.2-avoidlesstif.patch'

* Thu Mar 25 2004 Toru Hoshina <t@momonga-linux.org>
- (2.2.2-5m)
- revised spec for rpm 4.2.

* Wed Nov  5 2003 zunda <zunda at freeshell.org>
- (2.2.2-4m)
- adapt the License: preamble for the Momonga Linux license
  expression unification policy (draft)

* Sat Jul  5 2003 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (2.2.2-3m)
- import the following patches from rawhide (2.2.2-15)
  - openmotif-2.2.2-libtool.patch
    (build libMrm.so* correctly when openmotif is not installed)
  - openMotif-2.2.2-Xmu.patch 
    (avoid multiple definition of `_XEditResCheckMessages'
    http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80777
  - openMotif-2.2.2-utf8.patch
    http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80271
  - openMotif-2.2.2-x86_64.patch (x86_64 support)

* Mon May 13 2002 Toru Hoshina <t@kondara.org>
- (2.2.2-0k)
- 1st release for Kondara.
- obsolete lesstif family.
